package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type MediumContactInfoDao interface {
	GetMediumContactInfoList(MediumId int) (medium *model.MediumContactInfo, err error)
	FindMediumContactInfoList(uuid, name, state string, page, limit int) (list []MediumContactInfoGroup, total int64, err error)
}
type MediumContactInfoGroup struct {
	model.MediumList        `xorm:"extends"`
	model.MediumContactInfo `xorm:"extends"`
}

func (MediumContactInfoGroup) TableName() string {
	return "medium_contact_info"
}
