﻿package implement

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/dao"
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	zhios_order_relate_logx "code.fnuoos.com/zhimeng/model.git/utils/logx"
	"xorm.io/xorm"
)

func NewMediumDivisionStrategyDb(engine *xorm.Engine) dao.MediumDivisionStrategyDao {
	return &MediumDivisionStrategyDb{Db: engine}
}

type MediumDivisionStrategyDb struct {
	Db *xorm.Engine
}

func (m MediumDivisionStrategyDb) GetOriginalWxAdDataByMediumId(mediumId int) (data *model.MediumDivisionStrategy, err error) {
	data = new(model.MediumDivisionStrategy)
	has, err := m.Db.Where("medium_id =?", mediumId).Get(data)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return data, nil
}
