package dao

import "code.fnuoos.com/zhimeng/model.git/src/model"

type AppletApplicationAdSpaceListDao interface {
	FindAppletApplicationAdSpaceListByMediumId(mediumId int) (medium *[]model.AppletApplicationAdSpaceList, err error)
	FindAppletApplicationAdSpaceListByIds(id []string) (medium *[]model.AppletApplicationAdSpaceList, err error)
	FindAppletApplicationAdSpaceList(name, platform string, state string, mediumId, page, limit int) (list []AppletApplicationAdSpaceListGroup, total int64, err error)
}
type AppletApplicationAdSpaceListGroup struct {
	model.AppletApplicationAdSpaceList `xorm:"extends"`
	model.AppletApplication            `xorm:"extends"`
}

func (AppletApplicationAdSpaceListGroup) TableName() string {
	return "applet_application_ad_space_list"
}
