﻿package dao

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
	"xorm.io/xorm"
)

type OriginalWxAdDataDao interface {
	GetOriginalWxAdData(id int) (data *model.OriginalWxAdData, err error)
	UpdateOriginalWxAdData(m *model.OriginalWxAdData, columns ...string) (int64, error)
	UpdateOriginalWxAdDataBySession(session *xorm.Session, m *model.OriginalWxAdData, columns ...string) (int64, error)
}
